#!/user/bin/env python
# -*- coding: utf-8 -*-
import os
import logging
from typing import Text, Union
from opensourcetest.common.yamlOperation import YamlFileOption
from opensourcetest.builtin.ostHttp import ost_http_runner

# Read the conf.yml Global profile
conf_yaml_path = os.path.join(os.path.dirname(__file__).split("Base")[0], "Conf/conf.yml")
# According to the read conf.yml To obtain the testing website service and other information
conf_server_info = YamlFileOption.read_yaml(conf_yaml_path)["server_info"]

BASE_URL = conf_server_info["protocol"] + '://' + conf_server_info["base_url"]
VERIFY = conf_server_info["verify"]


def start_run_case(params_object, params_mark: Union[Text, int], checker=None, session_connection=None, params=None,
                   data=None, json=None, files=None, url_converter=None, url_quote_save=None, ost_timeout=None,
                   ost_poll_frequency=None, base_url=None, **kwargs):
    ost_req_resp = ost_http_runner(params_object, params_mark, base_url=BASE_URL if not base_url else base_url,
                                   verify=VERIFY, checker=checker,
                                   session_connection=session_connection, params=params,
                                   data=data, json=json, files=files, url_converter=url_converter,
                                   url_quote_save=url_quote_save, ost_timeout=ost_timeout,
                                   ost_poll_frequency=ost_poll_frequency, **kwargs)
    return ost_req_resp.response.dict()


if __name__ == "__main__":
    ...
